Package csb :: Package apps :: Module csfrag :: Class CSfrag

[frames] | no frames]

# Class CSfrag

source code

    object --+
             |
            CSfrag

Instance Methods

__init__(self, query, cstable, database, window=8, logger=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

RosettaFragmentMap

build_filtered_map(self) Build a filtered fragset of centroids. | source code

RosettaFragmentMap

build_fragment_map(self) Build a full Rosetta fragset. | source code

tuple of ChemShiftAssignments

extract_fragments(self, top=25, cpu=2) Extract fragments with matching chemical shifts using a sliding window. | source code

log(self, *a, **ka) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| database
| query
| window
Inherited from `object`: `__class__`

Method Details

### __init__(self, query, cstable, database, window=8, logger=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `query` (str) - query FASTA sequence path and file name
  - `cstable` (str) - file, containing the table of assigned experimental chemical shifts
  - `database` (str) - path to the PDBS25 directory
  - `logger` (Application) - logging client (needs to have a `log` method)
Overrides: object.__init__
  (inherited documentation)

### extract_fragments(self, top=25, cpu=2)

source code

Extract fragments with matching chemical shifts using a sliding window.

Parameters:
  - `top` (int) - MatchTable capacity per starting position
  - `cpu` (int) - degree of parallelism
Returns: tuple of ChemShiftAssignments

Property Details

### database

Get Method:
  unreachable.database(self)
Set Method:
  unreachable.database(self, value)

### query

Get Method:
  unreachable.query(self)

### window

Get Method:
  unreachable.window(self)
Set Method:
  unreachable.window(self, value)